<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class SurahQuranRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        switch ($this->method()) {
            case 'GET':
            case 'DELETE':
            {
                return [];
            }
            case 'POST':
            {
                return [
                    'name' => 'required|string|regex:/^[A-Za-z0-9-أ-ي-pL\s\-]+$/u|min:2|unique:surah_qurans,name,',
                    'notes' => 'nullable|string|min:2',
                ];
            }
            case 'PATCH':
            case 'PUT':
            {
                return [
                    'name' => 'nullable|min:2|string|regex:/^[A-Za-z0-9-أ-ي-pL\s\-]+$/u|unique:surah_qurans,name,' . $this->id,
                    'notes' => 'nullable|string|min:2',
                ];
            }
            default:
                break;
        }
    }

    public function messages()
    {
        return [
            'name.unique' => 'هذا الاسم مكرر من قبل ',
            'name.regex' => 'يرجي الادخال بشكل صحيح'
        ];
    }
}
