<?php

namespace App\Repository\Website;

use App\Interfaces\Website\WebSiteInterfaces;
use App\Models\Photo;
use App\Models\SurahQuran;

class WebSiteRepository implements WebSiteInterfaces
{

    protected $title = "صدقة الحياة";
    protected  $model  = "App\Models\SurahQuran";

    public function find($id)
    {
        return $this->model::findorfail($id);
    }

    public function getphoto($id)
    {
        try {
            $data = $this->find($id);
            $photos = Photo::where('photoable_id', $id)->get();
            return view('website.photos.index', compact('photos', 'data'));
        } catch (\Exception $e) {
            return redirect()->back()->withErrors(['error' => $e->getMessage()]);
        }

    }

    public function index()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'صدقه جاريه'
        ];
        return view('website.Home.index', $data);
    }

    public function use()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'اتفاقيه الاستخدام'
        ];
        return view('website.use.index', $data);
    }

    public function ourWork()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'أعمالنا'
        ];
        return view('website.ourWork.index', $data);
    }

    public function tafseer()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'تفسير القرءان الكريم'
        ];
        return view('website.tafseer.index', $data);
    }

    public function anbiaa()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'تفسير صورة الأنبياء'
        ];
        return view('website.tafseer.anbiaa', $data);
    }

    public function ta3ref()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'تعريف التجويد'
        ];
        return view('website.tagwid.index', $data);
    }

    public function hegand3omra()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'الحج والعمرة'
        ];
        return view('website.heg.index', $data);
    }

    public function mo3amalat()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'المعاملات'
        ];
        return view('website.feqh.mo3amalat', $data);
    }

    public function books()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'أحكام التجويد'
        ];
        return view('website.books.index', $data);
    }

    public function feqh()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'الحج والعمرة'
        ];
        return view('website.feqh.index', $data);
    }

    public function fda2el()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'الفقه الميسر في ضوء الكتاب والسنة'
        ];
        return view('website.fda2el.index', $data);
    }

    public function seyam()
    {
        $data = [
            'title' => $this->title,
            'title2' => '48 سؤالاً في الصيام'
        ];
        return view('website.feqh.seyam', $data);
    }

    public function tahaAbdelhakem()
    {
        $data = [
            'title' => $this->title,
            'title2' => 'الحاج طه عبد الحكيم عبدالله وزوجته'
        ];
        return view('website.tahaAbdelhakem.index', $data);
    }


}
