@extends('admin.layouts.master')
@section('css')
@endsection

@section('title')
    الصور
@endsection

@section('page-title')
    <!-- breadcrumb -->
    <div class="page-title">
        <div class="row">
            <div class="col-sm-6">
                <h4 class="mb-0" style="font-family: 'Cairo', sans-serif;"> صور {{ $data->name }} </h4>
                <br>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb pt-0 pr-0 float-left float-sm-right ">
                    <li class="breadcrumb-item active">{{ $data->name }}</li>
                </ol>
            </div>
        </div>
    </div>
@endsection

@section('connect')
    @include('admin.layouts.massage')
    <div class="row">
        <div class="col">
            <div class="card card-statistics h-100">
                <form action="{{ route('addPhoto') }}" method="post" autocomplete="off" enctype="multipart/form-data">
                    @csrf
                    <div class="card-body">
                        <input type="hidden" value="{{ $data->id }}" name="id">

                        <div class="row">
                            <div class="col">
                                <input type="file" name="Filename" required class="button icon black" accept="image/*">
                            </div>
                        </div>

                        <br>

                        <button class="btn btn-success">حفظ الصوره</button>
                    </div>
                </form>

                <br> <br> <br>

                <div class="card-body">
                    <div class="table-responsive">
                        <table id="datatable" class="table table-striped table-bordered p-0">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الصور</th>
                                    <th>العمليات</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($photos as $row)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td><a href="{{ asset('assets/pictures/' . $data->id . '/' . $row->Filename) }}"
                                                target="_blank"> <img
                                                    src="{{ asset('assets/pictures/' . $data->id . '/' . $row->Filename) }}"
                                                    width="50" height="50" alt=""></a></td>
                                        <td>
                                            <button class="btn btn-danger btn-sm" data-toggle="modal"
                                                data-target="#deleted{{ $row->id }}"><i
                                                    class="fa fa-trash"></i></button>
                                        </td>
                                        @include('admin.photos.deleted')
                                    </tr>
                                @endforeach

                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('js')
    @toastr_js
    @toastr_render
@endsection
