<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\DashboardAdminController;
use App\Http\Controllers\Admin\SliderController;
use App\Http\Controllers\Admin\SurahQuranController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "admin" middleware group. Now create something great!
|
*/

require __DIR__ . '/auth.php';

Route::middleware('auth')->group(function () {
    Route::resource('SurahQuran',SurahQuranController::class);
    Route::get('viewPhoto/{id}',[SurahQuranController::class,'viewPhoto'])->name('viewPhoto');
    Route::post('addPhoto',[SurahQuranController::class,'addPhoto'])->name('addPhoto');


    Route::resource('sliders', SliderController::class);

    Route::get('Reslut/export/', [AdminController::class, 'export'])->name('Reslut_export');
    Route::get('viewReslut',[AdminController::class,'index'])->name('viewReslut');
    Route::get('deletedReslut/{id}',[AdminController::class,'deletedReslut'])->name('deletedReslut');
});
